Standard Public Cloud Co - Update
Use PATCH to change selected fields on an Azure Public Standard cloud connector. The endpoint also supports PUT with the same request schema; the Swagger does not define additional semantic differences between the two methods.
PATCH https://ope-obs.apibackbone.orange.com/evolutionplatform/azure/api/v1/projects/{projectId}/azure/cloudconnectors/publicstandarddynamics/{id}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| project | path | true | string | The project identifier which uniquely identify your project in Evolution Platform. |
| id | path | true | string | The Cloud Connector Identifier which uniquely identify your Cloud connector in Evolution Platform. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| name | false | string | Cloud connector name. |
| state | false | string | Cloud connector state. Allowed values: DESIGNING, DESIGNED, BOOKING, RESERVED, PROVISIONING, ACTIVE, STOPPING, SUSPENDING, INACTIVE, REPAIRING, TERMINATED, ERROR. |
| technicalVpn | false | string (UUID) | Identifier of the network connector. |
| azureCredential | false | string (UUID) | Identifier of the Azure credential used to manage the connector in Azure. |
| customerPurchase | false | string | Customer purchase order number. |
| externalBilling | false | string | External billing reference. |
| bandwidth | false | integer (int32) | Cloud connector bandwidth. |
| maxBandwidth | false | integer (int32) | Maximum cloud connector bandwidth. |
| primaryPop | false | string | Primary point-of-presence localization. |
| azureRegion | false | string | Azure region. |
| resourceGroup | false | string | Azure resource group name. |
| vnetName | false | string | Virtual network name. |
| azureGateway | false | string | Azure gateway subnet. |
| azureAsn | false | integer (int64) | Azure autonomous system number. |
| networkSide | false | integer (int64) | Network-side autonomous system number. |
| networkSide | false | string | Network-side gateway subnet. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK | Successful operation | |
| Other Status Codes | Error response | Error response describing why the operation failed. |
Security
Type: HTTP Bearer
Token format: JWT
Header: Authorization: Bearer YOUR_ACCESS_TOKEN
Examples
Update from designed to active state
Request
PATCH https://ope-obs.apibackbone.orange.com/evolutionplatform/azure/api/v1/projects/{projectId}/azure/cloudconnectors/publicstandarddynamics/{id}
{
"state": "ACTIVE"
}
Response
HTTP 200
Content: application/json
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Connection to PARIS",
"state": "PROVISIONING",
"projectId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"bandwidth": 50,
"technicalVpnId": "93b22b3c-fd7e-4c04-87cb-52df45fe6beb",
"azureCredentialId": "b1c3d7b8-f249-4a25-9f26-02682bbad4f3",
"primaryPopLocalization": "POP4",
"azureRegion": "northeurope",
"resourceGroupName": "rg-3",
"vnetName": "vnet-02",
"azureGatewaySubnet": "69.45.47.145/27",
"azureAsn": 64512,
"networkSideAsn": 64513,
"networkSideGatewaySubnet": "59.23.124.12/29",
"workflowExecutionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflowExecutionStatus": "CREATED"
}
The Swagger does not specify how long a state change takes or describe the transition sequence. Use the Get guide to retrieve the current connector state.
Go to Get tutorial to check the status of the cloud connector:
Update from active to designed state
Request
PATCH https://ope-obs.apibackbone.orange.com/evolutionplatform/azure/api/v1/projects/{projectId}/azure/cloudconnectors/publicstandarddynamics/{id}
{
"state": "DESIGNED"
}
Response
HTTP 200
Content: application/json
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Connection to PARIS",
"state": "STOPPING",
"projectId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"bandwidth": 50,
"technicalVpnId": "93b22b3c-fd7e-4c04-87cb-52df45fe6beb",
"azureCredentialId": "b1c3d7b8-f249-4a25-9f26-02682bbad4f3",
"primaryPopLocalization": "POP4",
"azureRegion": "northeurope",
"resourceGroupName": "rg-3",
"vnetName": "vnet-02",
"azureGatewaySubnet": "69.45.47.145/27",
"azureAsn": 64512,
"networkSideAsn": 64513,
"networkSideGatewaySubnet": "59.23.124.12/29",
"workflowExecutionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflowExecutionStatus": "CREATED"
}
The Swagger does not specify how long a state change takes or describe the transition sequence. Use the Get guide to retrieve the current connector state.
Go to Get tutorial to check the status of the cloud connector: